%define name    kxdocker
%define version 0.38
%define release %mkrel 1
%define Summary KXDocker is an innovative docker for KDE, it's very similar to Mac OSX Docker

# Work around for different libtool use in kde 
%define __libtoolize true
%define unstable 1

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License: 	GPL
Group: 		Graphical desktop/KDE
Source: 	%name-%{version}.tar.bz2

# theme
Source1:	kxdocker.tar.bz2

Url: 		http://www.xiaprojects.com/www/prodotti/kxdocker/main.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel

%description
KXDocker is an innovative docker for KDE, it's very similar to Mac OSX Docker.


%prep
%setup -q

%build
%configure \
%if %unstable
                    --enable-debug=full
%else
                    --disable-debug
%endif

make clean
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kxdocker.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

(
cd $RPM_BUILD_ROOT/%_datadir/apps/
tar -jxvf %SOURCE1
)

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,-)
%_bindir/kxdocker
%_menudir/*

%_datadir/applnk/Utilities/kxdocker.desktop

%dir %_datadir/apps/kxdocker/
%_datadir/apps/kxdocker/kxdocker_conf.xml
%_datadir/apps/kxdocker/kxdockerui.rc

%dir %_docdir/HTML/en/kxdocker/
%doc %_docdir/HTML/en/kxdocker/common
%doc %_docdir/HTML/en/kxdocker/*.bz2
%doc %_docdir/HTML/en/kxdocker/*.docbook


%_datadir/icons/hicolor/128x128/apps/kxdocker.png
%_datadir/icons/hicolor/16x16/apps/kxdocker.png
%_datadir/icons/hicolor/22x22/apps/kxdocker.png
%_datadir/icons/hicolor/32x32/apps/kxdocker.png
%_datadir/icons/hicolor/48x48/apps/kxdocker.png
%_datadir/icons/hicolor/64x64/apps/kxdocker.png

%dir %_datadir/apps/kxdocker/
%_datadir/apps/kxdocker/kxdocker_resources-0.0.1
%_datadir/apps/kxdocker/kxdocker_resources-0.0.2
%_datadir/apps/kxdocker/kxdocker_resources-0.0.3
%_datadir/apps/kxdocker/kxdocker_resources-0.0.4
%_datadir/apps/kxdocker/kxdocker_resources-0.0.5
%_datadir/apps/kxdocker/kxdocker_resources-0.0.6
%_datadir/apps/kxdocker/kxdocker_resources-0.0.7

%dir %_datadir/apps/kxdocker/plugins/
%_datadir/apps/kxdocker/plugins/*.so

%dir %_datadir/apps/kxdocker/plugins/gbattery/
%_datadir/apps/kxdocker/plugins/gbattery/*.png

%dir %_datadir/apps/kxdocker/plugins/gclock/
%_datadir/apps/kxdocker/plugins/gclock/*.png

%dir %_datadir/apps/kxdocker/plugins/gcpu/
%_datadir/apps/kxdocker/plugins/gcpu/*.png

%dir %_datadir/apps/kxdocker/plugins/gdate/
%_datadir/apps/kxdocker/plugins/gdate/*.png

%dir %_datadir/apps/kxdocker/plugins/gmail/
%_datadir/apps/kxdocker/plugins/gmail/*.png

%dir %_datadir/apps/kxdocker/plugins/gnetio/
%_datadir/apps/kxdocker/plugins/gnetio/*.png

%dir %_datadir/apps/kxdocker/sounds/
%_datadir/apps/kxdocker/sounds/*.wav

%dir %_datadir/apps/kxdocker/themes/
%dir %_datadir/apps/kxdocker/themes/arrows/
%_datadir/apps/kxdocker/themes/arrows/*.png

%dir %_datadir/apps/kxdocker/themes/bar/
%_datadir/apps/kxdocker/themes/bar/*

%dir %_datadir/apps/kxdocker/themes/pillow/
%dir %_datadir/apps/kxdocker/themes/pillow/default/
%_datadir/apps/kxdocker/themes/pillow/default/*.png

%dir %_datadir/apps/kxdocker/themes/poof/
%_datadir/apps/kxdocker/themes/poof/*.png



%changelog
* Mon Sep 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.38-1mdk
- New release 0.38
- %%mkrel 
- change url

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0.35-1mdk
- 0.35

* Thu Jun 02 2005 Lenny Cartier <lenny@mandriva.com> 0.33-1mdk
- 0.33

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.31-1mdk
- 0.31

* Mon Apr 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.30-1mdk
- 0.30

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.28-1mdk
- 0.28

* Mon Jan 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.26-1mdk
- 0.26

* Mon Jan 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.25-0.fix3.1mdk
- 0.25 fix3

* Thu Dec 23 2004 Michael Scherer <misc@mandrake.org> 0.24-4mdk
- Add summary

* Thu Dec 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-3mdk
- Add debug

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-2mdk
- Add theme


* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-1mdk
- Initial package

